GeForce Experience Critical Flaw Patched In Latest Update

27-03-2019 by
0 comment(s)

CVE-2019-5674 could lead to "code execution, denial of service, or escalation of privileges", and updating GFE to the March 26th release (3.18) is very much recommended.

Read more
NVIDIA, GeForce Experience, security